Subject: [netconf] I-D Action: draft-ietf-netconf-restconf-notif-14.txt

From: [email-masked]
Date: Mon, 10 Jun 2019 16:22:43 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Network Configuration WG of the IETF.

        Title           : Dynamic subscription to YANG Events and Datastores over RESTCONF
        Authors         : Eric Voit
                          Reshad Rahman
                          Einar Nilsen-Nygaard
                          Alexander Clemm
                          Andy Bierman
	Filename        : draft-ietf-netconf-restconf-notif-14.txt
	Pages           : 28
	Date            : 2019-06-10

Abstract:
   This document provides a RESTCONF binding to the dynamic subscription
   capability of both subscribed notifications and YANG-Push.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-netconf-restconf-notif/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-netconf-restconf-notif-14
https://datatracker.ietf.org/doc/html/draft-ietf-netconf-restconf-notif-14

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-netconf-restconf-notif-14

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "Reshad Rahman (rrahman)" <[email-masked]>
Date: Mon, 10 Jun 2019 23:25:57 +0000

This revision is to address the IESG review comments.

Regards,
Reshad.

On 2019-06-10, 7:23 PM, "netconf on behalf of [email-masked]" <[email-masked] on behalf of [email-masked]> wrote:

    
    Abstract:

    

    
    _______________________________________________
    netconf mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/netconf

---

From: Kent Watsen <[email-masked]>
Date: Tue, 11 Jun 2019 17:00:25 +0000

Hi Reshad, Thank you for continuing to follow through on getting this draft over the line.

One thing I noticed in the latest diff is a leaning towards HTTP2 but, AFIAK, dynamic subscriptions should work over HTTP1 as well, right?  If so, then I think that some text is needed to say this.  Currently only Appendix A mentions "HTTP1.1" in an aside sort of way and the first "hit" for "HTTP" is for HTTP2 in the Terminology section.  Section 3.1 (Transport Connectivity) references RFC 8040 Section 2 (Transport Protocol), which leads me to think that any RESTCONF connection is okay.  Maybe what is needed is that, wherever HTTP2 i mentioned, it should say something like "if HTTP2 is used" or "when HTTP2 is used" - does that make sense?

nit:  s/can not be 2/cannot be two/

Kent // shepherd

> On Jun 10, 2019, at 7:25 PM, Reshad Rahman (rrahman) <[email-masked]> wrote:
>

---

From: "Reshad Rahman (rrahman)" <[email-masked]>
Date: Tue, 11 Jun 2019 18:23:41 +0000

Hi Kent,

Thanks for the review.

Yes, this is over RESTCONF so http1.1/http2 are both ok. One change<https://www.ietf.org/rfcdiff?url2=draft-ietf-netconf-restconf-notif-08> which was done ~8 months ago is to have 1 callflow “over RESTCONF/SSE” as opposed to the previous separate callflows for http1.1 and http2. The reason http2 is mentioned in a few places is because of http2 streams. Section 4 already mentions “where HTTP2 is available to…”, so it looks like section 3.4 is the only place missing “when HTTP2 is used”?

I’ve corrected the nit below, will be in next revision.

Regards,
Reshad.

From: Kent Watsen <[email-masked]>
Date: Tuesday, June 11, 2019 at 1:00 PM
To: "Reshad Rahman (rrahman)" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: Re: [netconf] I-D Action: draft-ietf-netconf-restconf-notif-14.txt

Kent // shepherd

On Jun 10, 2019, at 7:25 PM, Reshad Rahman (rrahman) <[email-masked]<mailto:[email-masked]>> wrote:

Regards,
Reshad.

On 2019-06-10, 7:23 PM, "netconf on behalf of [email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]> on behalf of [email-masked]<mailto:[email-masked]>> wrote:

   Abstract:

   Please note that it may take a couple of minutes from the time of submission
   until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org>.

   _______________________________________________
   netconf mailing list
   [email-masked]<mailto:[email-masked]>
   https://www.ietf.org/mailman/listinfo/netconf

_______________________________________________
netconf mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/netconf

---

From: Kent Watsen <[email-masked]>
Date: Tue, 11 Jun 2019 21:18:52 +0000

Hi Reshad,

> Yes, this is over RESTCONF so http1.1/http2 are both ok. One change <https://www.ietf.org/rfcdiff?url2=draft-ietf-netconf-restconf-notif-08> which was done ~8 months ago is to have 1 callflow “over RESTCONF/SSE” as opposed to the previous separate callflows for http1.1 and http2. The reason http2 is mentioned in a few places is because of http2 streams. Section 4 already mentions “where HTTP2 is available to…”, so it looks like section 3.4 is the only place missing “when HTTP2 is used”?

I recall that conversion and hence my alarm seeing all the HTTP2 text.  Yes, adding "when/if HTTP2 is used" everywhere, to constantly remind the reader that it may not always be the case would be good.    

For Section 4, would replacing "where HTTP2 transport is available" with "when the HTTP2 transport is used" be better?

Kent // contributor

---

From: "Reshad Rahman (rrahman)" <[email-masked]>
Date: Tue, 11 Jun 2019 21:27:46 +0000

Hi Kent,

OK.  Everywhere to me means section 3.4 and section 4 (where I’ll change the text to “when HTTP2 is used”), good?

The HTTP2 text has been there since the conversion, it is not a recent add.

Regards,
Reshad.

Date: Tuesday, June 11, 2019 at 5:18 PM

Hi Reshad,

Kent // contributor

---

From: Kent Watsen <[email-masked]>
Date: Tue, 11 Jun 2019 21:45:03 +0000

> OK.  Everywhere to me means section 3.4 and section 4 (where I’ll change the text to “when HTTP2 is used”), good?

Perhaps, most likely, but I leave it to you.   In general, please search for "HTTP2" throughout and apply this clarification where missing.

K.